Package com.mockobjects.sql

# Class MockDriver

java.lang.Object
com.mockobjects.sql.MockDriver

All Implemented Interfaces:
  `Driver`

public class MockDriver extends Object implements Driver

## Field Summary

Fields
Modifier and Type
Field
Description
`static MockDriver`
`myDriver`

## Constructor Summary

Constructors
Constructor
Description
`MockDriver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptsURL(String url)`
`Connection`
`connect(String url, Properties info)`
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`DriverPropertyInfo[]`
`getPropertyInfo(String url, Properties info)`
`boolean`
`jdbcCompliant()`
`void`
`setupConnect(Connection aConnection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Driver

`getParentLogger`

## Field Details

### myDriver

public static MockDriver myDriver

## Constructor Details

### MockDriver

public MockDriver()

## Method Details

### setupConnect

public void setupConnect(Connection aConnection)

### acceptsURL

public boolean acceptsURL(String url)

Specified by:
  `acceptsURL` in interface `Driver`

### connect

public Connection connect(String url, Properties info)

Specified by:
  `connect` in interface `Driver`

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

### getPropertyInfo

public DriverPropertyInfo[] getPropertyInfo(String url, Properties info)

Specified by:
  `getPropertyInfo` in interface `Driver`

### jdbcCompliant

public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`